## Introduction
I believe that I have captured all of the individual contributors and dependencies. That said, if you think I am using your work and you are not listed below, or would rather be listed differently, please let me know so that it can be corrected. Any mistakes in this regard are not intentional and will be fixed as soon as possible.

## Individual Contributors
  * luciusDXL (me) - Principle Developer / Project Lead.
  * Azamat H. Hackimov - Fixed VS 2019 Compilation issues.
  * Manuel Lauss - Most of the Linux support contributions, other contributions.
  * Matthew Gilmore - Contributed to Linux support and testing.
  * RC2225 (Tim) - Contributed to Linux support.
  * Kevin Foley - Accessibility options - such as captions, and other contributions.
 
  * Craig Yates - TFE Logo design. Minimalist title screen design.
  * Pawel "Dzierzan" Dzierzanowski - Adjustable Hud mod (built-in).
  * Secbase Unlimited - Thorough testing and very cool test levels that are now used internally to provide regression testing.

## Testers
The Force Engine would not be where it is today without the tireless efforts of many individuals playing through the game and mods again and again using TFE. They had to deal with all manner of issues and crashes. It was their diligent bug reports, questions, and suggestions that made it possible to bring this projection to version 1.0 and beyond.

  * Pawel "Dzierzan" Dzierzanowski
  * DatMaxNub
  * Karjala
 
  * AAS
  * Aros
  * Blackbird
  * BPzeBanshee
  * chaos7040
  * drogoganor
  * eclenaeu
  * filipetolhuizen
  * FitzRoyX
  * Guido
  * Indie
  * ItsJoe
  * jade
  * JediGrandMasterCoco1095
  * Jereth
  * MamiyaOtaru
  * Marine
  * nagus
  * nicholas.
  * OneScoop
  * pagb666
  * PrincessRuri
  * RGMadSimon
  * RoyBatty
  * rxbmz
  * Secbase Unlimited
  * sunset
  * sweg
  * Timberwolf
  * timk
  * TK-2112 (Odd_ReBeL)
  * TP555_1981
  * Tusk
  * Yui (SirYodaJedi)
  * Wedge
  * Will
  * wyland

## Libraries / Source Code
Most of the source code listed below is embedded within the project so that it can be modified to better fit the project and fix issues. However all such source code is available in the respository. Obviously some libraries, such as SDL2 and DevIL only include DLLs and includes; but original source code is available through the provided links.

Note that some libraries will be replaced by custom code or simpler libraries in the future (such as DevIL).

**Windowing/OpenGL/Audio**
SDL 2.0.x
  * [https://www.libsdl.org/](https://www.libsdl.org/)
  * License: ZLIB

GLEW
  * [https://github.com/nigels-com/glew](https://github.com/nigels-com/glew)
  * License: Modified BSD license

**UI**
imGUI
  * [https://github.com/ocornut/imgui](https://github.com/ocornut/imgui)
  * License: MIT

imGUI Markdown
  * [https://github.com/juliettef/imgui_markdown](https://github.com/juliettef/imgui_markdown)
  * License: ZLIB

Portable File Dialogs
  * [https://github.com/samhocevar/portable-file-dialogs](https://github.com/samhocevar/portable-file-dialogs)
  * License: [WTFPL](https://github.com/samhocevar/portable-file-dialogs/blob/master/COPYING)

Clipper
  * [http://www.angusj.com/delphi/clipper.php](http://www.angusj.com/delphi/clipper.php)
  * License: Boost Software License

**Image Loading**
DevIL
  * [http://openil.sourceforge.net/](http://openil.sourceforge.net/)
  * License: LGPL 2.1

**Music**
RtMidi (Core Midi Hardware I/O)
  * [https://www.music.mcgill.ca/~gary/rtmidi/](https://www.music.mcgill.ca/~gary/rtmidi/)
  * License: Custom

TinySoundFont
  * [https://github.com/schellingb/TinySoundFont](https://github.com/schellingb/TinySoundFont)
  * License: MIT

Nuked-OPL3
  * https://github.com/nukeykt/Nuked-OPL3
  * License: GPL 2.1

**Other**
  * [https://github.com/kuba--/zip](https://github.com/kuba--/zip)
  * License: Unlicense

  * [https://github.com/notnullnotvoid/msf_gif](https://github.com/notnullnotvoid/msf_gif)
  * License: MIT
